matrix:
  platform:
  - ubuntu2404
  bazel:
  - 8.x

tasks:
  verify_targets:
    name: Verify targets
    platform: ${{ platform }}
    shell_commands:
    # there are many, but not all, dependencies are in the bcr
    - sudo apt-get update
    - sudo apt-get install -y libhwloc-dev ragel make xfslibs-dev valgrind libgnutls28-dev libsctp-dev
    bazel: ${{ bazel }}
    build_flags:
    - '--cxxopt=-std=c++23'
    - '--host_cxxopt=-std=c++23'
    build_targets:
    - '@seastar//...'
